%define soname    %{version}
%define libname   %mklibname %{name} %{soname}
%define develname %mklibname %{name} -d

%define oname fifengine

Name:		fife
Version:	0.4.2
Release:	%mkrel 26
Summary:	Cross-platform game creation framework
Group:		Development/Tools
License:	LGPLv2+
URL:		https://www.fifengine.net/
Source0:	https://github.com/fifengine/fifengine/archive/%{version}/%{oname}-%{version}.tar.gz
# Upstream
Patch1:		0001-removed-flags-that-are-not-supported-with-swig-4.0.patch
Patch2:		0001-remove-deprecated-getchildren.patch
# Debian
Patch51:	0004-Try-to-fix-993132-cherry-picking-upstream-patches.patch
# Others
Patch101:	fifengine-missing-includes.patch
Patch102:	fife-boost_1_85.patch
BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	fifechan-devel >= 0.1.5
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_ttf)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	swig
Provides:	%{name}-python = %{version}-%{release}
Provides:	python3-%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description
FIFE is a free, open-source cross-platform game engine, written in C++,
making it highly portable (it supports Linux, Windows and Mac).

This package comes with the game engine only.
The game Unknown Horizons is one of the clients using this engine.

%package -n %{libname}
Summary:	Shared libs for FIFE
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n %{libname}
Shared libs for FIFE.

%package -n %{develname}
Summary:	Development package for FIFE
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel < %{version}-%{release}

%description -n %develname
Files for development with FIFE.

%prep
%autosetup -n %{oname}-%{version} -p1

# Fix libdir
sed -i CMakeLists.txt -e 's@\${CMAKE_INSTALL_PREFIX}/lib@\${CMAKE_INSTALL_PREFIX}/%{_lib}@'

%build

%ifarch armv7hl
# Try to avoid memory exhaustion
export CFLAGS="%optflags -g1"
export CXXFLAGS="%optflags -g1"
%endif

%cmake \
	-DPYTHON_SITE_PACKAGES=%{python3_sitearch} \
	-DPYTHON_EXECUTABLE="%__python3" \
	-Dbuild-library=ON \
	-Dbuild-python=ON \
	-Drend-camzone=ON \
	-Drend-grid=ON \
	-Duse-githash=OFF \
	-DCMAKE_CXX_FLAGS='%{build_cxxflags} -DUSE_BOOST_FILESYSTEM_V3' \
%ifarch armv7hl
	-DCMAKE_BUILD_TYPE=Release \
%endif

%cmake_build -j1

%install
%cmake_install

%files
%doc AUTHORS CHANGELOG.md README.md
%license LICENSE.md
%{python3_sitearch}/%{name}

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{version}

%files -n %{develname}
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}/


%changelog
* Fri Sep 13 2024 wally <wally> 0.4.2-26.mga10
+ Revision: 2095460
- rebuild for boost 1.86.0

* Sat Jun 22 2024 daviddavid <daviddavid> 0.4.2-25.mga10
+ Revision: 2076087
- add opensuse patch to fix build with boost 1.85
+ wally <wally>
- rebuild for boost 1.85.0

* Fri Jan 26 2024 wally <wally> 0.4.2-24.mga10
+ Revision: 2035121
- add patches to fix python3 >= 3.9 and swig >= 4.0 support

* Fri Jan 12 2024 wally <wally> 0.4.2-23.mga10
+ Revision: 2030527
- rebuild for boost 1.84.0

* Mon Dec 18 2023 papoteur <papoteur> 0.4.2-22.mga10
+ Revision: 2019044
- Mass Rebuild - Python 3.12

* Wed Sep 27 2023 wally <wally> 0.4.2-21.mga10
+ Revision: 1991432
- rebuild for boost 1.83.0

* Sat Dec 24 2022 wally <wally> 0.4.2-20.mga9
+ Revision: 1926465
- rebuild for boost 1.81.0

* Sun Jul 03 2022 wally <wally> 0.4.2-19.mga9
+ Revision: 1867243
- rebuild for boost 1.79.0

* Tue Apr 05 2022 umeabot <umeabot> 0.4.2-18.mga9
+ Revision: 1844153
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 akien <akien> 0.4.2-17.mga9
+ Revision: 1779182
- Rebuild for python 3.10

* Wed Dec 22 2021 wally <wally> 0.4.2-16.mga9
+ Revision: 1763297
- rebuild for missing pkgs in armv7hl

* Sun Dec 19 2021 wally <wally> 0.4.2-15.mga9
+ Revision: 1762617
- rebuild for boost 1.78.0

* Sat Sep 11 2021 wally <wally> 0.4.2-14.mga9
+ Revision: 1745149
- add patch to fix missing includes
- rebuild for boost 1.77.0

* Fri May 14 2021 wally <wally> 0.4.2-13.mga9
+ Revision: 1722953
- rebuild for boost 1.76.0

* Wed Mar 24 2021 tv <tv> 0.4.2-12.mga9
+ Revision: 1708889
- rebuild for python 3.9

* Thu Dec 31 2020 wally <wally> 0.4.2-11.mga8
+ Revision: 1666751
- rebuild for boost 1.75.0

* Sun Dec 20 2020 wally <wally> 0.4.2-10.mga8
+ Revision: 1661993
- rebuild for boost 1.74.0

* Wed Dec 02 2020 luigiwalser <luigiwalser> 0.4.2-9.mga8
+ Revision: 1651349
- rebuild for glew

* Sun May 03 2020 wally <wally> 0.4.2-8.mga8
+ Revision: 1578047
- rebuild for boost 1.73.0

* Wed Feb 19 2020 umeabot <umeabot> 0.4.2-7.mga8
+ Revision: 1544679
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 wally <wally> 0.4.2-6.mga8
+ Revision: 1483361
- rebuild for boost 1.72.0
- build with new cmake macros

* Tue Sep 10 2019 wally <wally> 0.4.2-5.mga8
+ Revision: 1439408
- rebuild for python3.8
- fix build with new swig

* Tue Apr 09 2019 pterjan <pterjan> 0.4.2-4.mga7
+ Revision: 1387448
- Set build type to Release on armv7hl, else -g1 is ignored

* Tue Apr 09 2019 pterjan <pterjan> 0.4.2-3.mga7
+ Revision: 1387282
- Build with -g1 on armv7hl

* Wed Jan 16 2019 zezinho <zezinho> 0.4.2-2.mga7
+ Revision: 1357425
- switch to python 3

* Wed Jan 16 2019 zezinho <zezinho> 0.4.2-1.mga7
+ Revision: 1357344
- GLEE was replaced be GLEW
- add the minimal version of fifechan to build
- new version 0.4.2

* Tue Oct 16 2018 wally <wally> 0.4.1-6.mga7
+ Revision: 1321029
- rebuild for new boost 1.68.0

* Sun Sep 23 2018 umeabot <umeabot> 0.4.1-5.mga7
+ Revision: 1297693
- Mageia 7 Mass Rebuild

* Mon Dec 25 2017 wally <wally> 0.4.1-4.mga7
+ Revision: 1184664
- rebuild for new boost

* Tue Nov 21 2017 tv <tv> 0.4.1-3.mga7
+ Revision: 1178068
- rebuild for boost 1.65

* Sun Sep 17 2017 tv <tv> 0.4.1-2.mga7
+ Revision: 1154957
- rebuild with latest boost

* Thu Feb 09 2017 akien <akien> 0.4.1-1.mga6
+ Revision: 1085234
- Version 0.4.1

* Tue Jan 17 2017 akien <akien> 0.4.0-1.mga6
+ Revision: 1082152
- Version 0.4.0, uses SDL2 and cmake

* Sat Dec 26 2015 daviddavid <daviddavid> 0.4.0-0.20141115.4.mga6
+ Revision: 915168
- rebuild for new boost 1.60.0

* Fri Sep 25 2015 fwang <fwang> 0.4.0-0.20141115.3.mga6
+ Revision: 883427
- rebuild for new boost

* Sun Aug 02 2015 daviddavid <daviddavid> 0.4.0-0.20141115.2.mga6
+ Revision: 860525
- rebuild for new boost-1.58.0

* Mon Jan 12 2015 akien <akien> 0.4.0-0.20141115.1.mga5
+ Revision: 810015
- Dev snapshot of fifengine 0.4.0 (current stable needs swig 2)
- Drop doc package and static lib
- Disable debug build

* Wed Oct 15 2014 umeabot <umeabot> 0.3.5-7.mga5
+ Revision: 749874
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.5-6.mga5
+ Revision: 679179
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.3.5-5.mga5
+ Revision: 628177
- Rebuild for new Python

* Sat Feb 08 2014 barjac <barjac> 0.3.5-4.mga5
+ Revision: 586326
- rebuild against boost-1.55

* Tue Dec 10 2013 zezinho <zezinho> 0.3.5-3.mga4
+ Revision: 556207
- fix build against mesa 10

* Tue Oct 22 2013 umeabot <umeabot> 0.3.5-2.mga4
+ Revision: 544724
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 dams <dams> 0.3.5-1.mga4
+ Revision: 500219
- new version 0.3.5

* Tue Aug 13 2013 akien <akien> 0.3.4-1.mga4
+ Revision: 466155
- Cleaned-up spec file
- Rewrote Description
- Added a secondary source for the doc files which are missing from the upstream sf.net tarball
- Fixed the specfile for fife-doc (wrong path in the bin)
+ dams <dams>
- new version 0.3.4

* Tue Jul 09 2013 fwang <fwang> 0.3.3-6.mga4
+ Revision: 451777
- rebuild for new boost

* Sun Jun 02 2013 fwang <fwang> 0.3.3-5.mga4
+ Revision: 434724
- rebuild for new libpng

* Thu Apr 11 2013 malo <malo> 0.3.3-4.mga3
+ Revision: 409489
- rebuild for boost 1.53

* Fri Jan 11 2013 umeabot <umeabot> 0.3.3-3.mga3
+ Revision: 350284
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 0.3.3-2.mga3
+ Revision: 332934
- rebuild for new boost

* Sat Sep 01 2012 fwang <fwang> 0.3.3-1.mga3
+ Revision: 286931
- specify libdir
- rebuild for new boost
+ dams <dams>
- update BuildRequires
+ zezinho <zezinho>
- new version
+ kamil <kamil>
- rebuild against boost 1.49.0
- clean .spec

* Mon Nov 28 2011 fwang <fwang> 0.3.2-6.mga2
+ Revision: 173452
- rebuild for new boost

* Sun Sep 11 2011 fwang <fwang> 0.3.2-5.mga2
+ Revision: 142361
- rebuild for new libpng
- fix obsoletes
- libfy the package
- rebuild for new boost

* Thu Jul 14 2011 anaselli <anaselli> 0.3.2-2.mga2
+ Revision: 124145
- fix mageia group, bug #2148

* Wed Jul 13 2011 matteo <matteo> 0.3.2-1.mga2
+ Revision: 123495
- disabled Patch1 to fix compilation error
- BuildRequires updated
- spec file rewritten from scratch
+ stblack <stblack>
- imported package fife


* Mon Apr 18 2011 Tom Callaway <spot@fedoraproject.org> - 1:0.3.2-4.r2
- update to 0.3.2r2

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Feb 06 2011 Thomas Spura <tomspur@fedoraproject.org> - 1:0.3.2-2
- rebuild for new boost

* Fri Nov 26 2010 Simon Wesp <cassmodiah@fedoraproject.org> - 1:0.3.2-1
- Update to 0.3.2

* Wed Aug  4 2010 Thomas Spura <tomspur@fedoraproject.org> - 1:0.3.1-4
- Rebuilt for http://fedoraproject.org/wiki/Features/F14Boost144
- install to sitearch not sitelib
- properly use parallel make

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 1:0.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Apr 29 2010 Thomas Spura <tomspur@fedoraproject.org> - 1:0.3.1-2
- also link against boost_filesystem

* Wed Apr 07 2010 Simon Wesp <cassmodiah@fedoraproject.org> - 1:0.3.1-1
- Update to 0.3.1
 
* Tue Mar 09 2010 Thomas Kowaliczek <linuxdonald@linuxdonald.de> - 1:0.3.0-4
- Fixed Bug #564752
- Thanks for the patch Terje

* Mon Feb 01 2010 Simon Wesp <cassmodiah@fedoraproject.org> - 1:0.3.0-3
- Cosmetical Issues

* Sun Jan 31 2010 Simon Wesp <cassmodiah@fedoraproject.org> - 1:0.3.0-2
- Split devel package and add a static subpackage
- Generate doxygen docs and add a doc subpackage
- Correct epoch usage
- Create and use soname
- Honor CFLAGS
- Correct leaf
- Cleanup

* Wed Jan 27 2010 Simon Wesp <cassmodiah@fedoraproject.org> - 1:0.3.0-1
- Update to 0.3.0

* Tue Jan 21 2010 Simon Wesp <cassmodiah@fedoraproject.org> - 2009.0-0.28.r3111svn
- Rebuild for updated boost

* Sat Dec 12 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 2009.0-0.27.r3111svn
- Update to r3111

* Thu Oct 08 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 2009.0-0.26.r3056svn
- There are no errors revoked spec changes!

* Thu Oct 08 2009 Thomas Kowaliczek <linuxdonald@linuxdonald.de> - 2009.0-0.25.r3056svn
- Update to r3056 and fixed some spec errors

* Tue Sep 29 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 2009.0-0.24.r3054svn
- Update to r3054

* Mon Sep 28 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 2009.0-0.23.r3053svn
- Update to r3053

* Mon Sep 28 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 2009.0-0.22.r3052svn
- Update to r3052

* Sun Sep 27 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 2009.0-0.21.r3051svn
- Update to r3051

* Fri Sep 25 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 2009.0-0.20.r3050svn
- Update to r3050

* Wed Sep 23 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 2009.0-0.19.r3049svn
- Update to r3049

* Tue Sep 22 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 2009.0-0.18.r3048svn
- Update to r3048

* Mon Sep 21 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 2009.0-0.17.r3047svn
- Update to r3047

* Mon Sep 21 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 2009.0-0.16.r3046svn
- Update to r3046

* Mon Sep 21 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 2009.0-0.15.r3045svn
- Update to r3045

* Thu Aug 20 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 2009.0-0.14.r2955svn
- Update to r2955
- Honor OPTFLAGS

* Sat Jul 11 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 2009.0-0.13.r2954svn
- Update to r2954
- Link follow files, because they are equal
   LIBDIR/NAME/engine/libNAME.so
   LIBDIR/NAME/engine/swigwrappers/python/_NAME.so

* Fri Jul 10 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 2009.0-0.12.r2953svn
- Update to r2953
- Remove all outcommented spec-code

* Fri Jul 10 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 2009.0-0.11.r2952svn
- Correct rpath in source instead of binary

* Fri Jul 10 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 2009.0-0.10.r2952svn
- Update to r2952
- Remove ldconfig from POST and POSTUN
- Correct license to LGPLv2+

* Wed Jul 08 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 2009.0-0.9.r2951svn
- Update to r2951

* Wed Jul 08 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 2009.0-0.8.r2947svn
- Remove tests and clients from source0 for legal issues
- Remove ext from source0 instead of remove via 'rm' in spec - to proof that there is no internal shipped dependency in build process
- Remove doc subpackage

* Sun Jul 05 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 2009.0-0.7.r2947svn
- Update to r2947

* Sun Jul 05 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 2009.0-0.6.r2946svn
- Update to r2946

* Sun Jul 05 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 2009.0-0.5.r2945svn
- Update to r2945

* Sun Jul 05 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 2009.0-0.4.r2944svn
- Making RPMLINT happy
- Correct file permissions and add missed shebangs

* Sun Jul 05 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 2009.0-0.3.r2944svn
- Update to r2944

* Sat Jun 13 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 2009.0-0.2.r2916svn
- Update to r2916

* Sun Mar 29 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 2009.0-0.1.r2761svn
- Initial release
